curl --request PUT \
--url https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'X-TenantID: <api-key>' \
--data '
{
"account_no": "0123456789",
"account_name": "John Doe",
"bank_code": "000001",
"name": "John doe",
"email": "johndoe@gmail.com",
"currency": "NGN",
"country": "NGA",
"split_type": "PERCENTAGE",
"split_value": 2,
"active": false
}
'import requests
url = "https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}"
payload = {
"account_no": "0123456789",
"account_name": "John Doe",
"bank_code": "000001",
"name": "John doe",
"email": "johndoe@gmail.com",
"currency": "NGN",
"country": "NGA",
"split_type": "PERCENTAGE",
"split_value": 2,
"active": False
}
headers = {
"Authorization": "<api-key>",
"X-TenantID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: '<api-key>',
'X-TenantID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_no: '0123456789',
account_name: 'John Doe',
bank_code: '000001',
name: 'John doe',
email: 'johndoe@gmail.com',
currency: 'NGN',
country: 'NGA',
split_type: 'PERCENTAGE',
split_value: 2,
active: false
})
};
fetch('https://api.payaza.africa/live/settlement/settlement/merchant/split-account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "00",
"success": true,
"error": null,
"data": {
"id": 118,
"account_no": "1212121212",
"code": "SSA_E55380AD1783952772114",
"account_name": "Jane Doe",
"name": "Janet Doe",
"email": "janetdoe@gmail.com",
"bank_code": "100004",
"bank_name": "OPAY",
"currency": "NGN",
"country": "NGA",
"split_type": "FLAT",
"split_value": 5000,
"active": true,
"created_at": "2026-07-13T14:26:12.115065",
"last_modified": "2026-07-14T14:19:46.542508009"
},
"message": "split account updated successfully"
}Update Split Account
This updates an existing split settlement account details.
Note:
- All request body parameters are optional. Include only the fields you want to update.
- Fields omitted from the request will retain their existing values.
Authorizations
Payaza {{Public API Key in Base 64}}
live or test
Path Parameters
The unique identifier of the split account.
Body
Indicates whether the split account configuration is active.
true
The beneficiary bank account number.
"0123456789"
The name of the beneficiary bank account.
"John Doe"
The bank code of the beneficiary bank.
"000001"
The name assigned to the Split Account.
"John doe"
The beneficiary email address.
"johndoe@gmail.com"
The settlement currency (ISO 4217).
"NGN"
The country code (ISO 3166-1 Alpha-3).
"NGA"
The calculation mechanism applied to process transaction splits (e.g., PERCENTAGE, FLAT). PERCENTAGE allocates funds on a percentage of the transaction amount while FLAT allocates a fixed amount from the transaction
"PERCENTAGE"
Percentage or flat amount allocated to the Payaza Account owner.
2
Response
Update split account response
System operational status response code tracking the request transaction performance.
"00"
Indicates if the request completed successfully.
true
Details regarding operational processing failure conditions. Returns null on success context.
null
The payload containing the updated profile details of the split account.
Show child attributes
Show child attributes
Descriptive message confirming the modification outcome.
"split account updated successfully"